% number of realizations 
n = 20000;

% mean vector
mu = zeros(1,4);

% covariance matrix
Sigma = [1/3 2/9 0 0; 
         2/9 1/3 0 0; 
         0 0 1/3 0;
         0 0 0 1/3];          % +1 point for initialization of mu and Sigma

%Generate the multivariate normal vector
A = chol(Sigma);

% Initialize counter 
cnt = 0;

for i = 1:n
    X = mu + randn(1,4) * A;
                               % +1/2 point for counting the event under
                               % consideration
    if(abs(X(1) - X(2)) < abs(X(3) - X(4))) 
        cnt = cnt + 1;
    end
end

p_head = cnt / n; 
fprintf('The estimated probability is %1.4f \n', p_head);
                               % +1/2 for output of estimated value
                              