% number of realizations 
n = 100;
t = 1:n;

% mean vector
mu = zeros(1,n);

% covariance matrix
Sigma = zeros(n,n);
for i = 1:n
    for j = 1:n
        Sigma(i,j) = (4/3) * (1/2)^(abs(i-j)) * (1 - 4^(-min(i,j)));
    end
end                           % +1 point for initialization of mu and Sigma

%Generate the multivariate normal vector
A = chol(Sigma);
X = mu + randn(1,n) * A;

%Plot                         % +0.5 point for simulation of X 
plot(t,X);                    % +0.5 point for the plot